Jump to content

Recommended Posts

Bonjour à toutes et à tous !

Bon cela fait 5 mois que je tente d'installer le SDK et eclipse sur mon pc et j'y arrive pas . Donc là je vais retenté une installe.

J'aimerais savoir si cela est mieux de développer sur windows seven ou sur une distrib linux(ubuntu) ?

Pour moice serait plus pratique sur ubuntu mais bon si c'est plus simple au niveau de l'installe sur windows seven je le ferais sur windows.

merci

Edited by Droxolf

Share this post


Link to post
Share on other sites

C'est kif kif sur les deux, Eclipse y a pas plus trivial à installer (dezip), et après il faut installer le plugin Android SDK en suivant les instructions du site de Google.

Ou alors tu prends directement MotoDev Studio qui embarque tout, il est légèrement plus lourd mais la gestion des exports de package, de certificats et de signatures sont un plus.

Je développe sous Linux (Ubuntu 9.10) au boulot (entre midi et deux je fais mon dév perso Android ><) et sous Windows Vista à la maison, aucun souci des deux côtés :)

Share this post


Link to post
Share on other sites

Merci pour cette réponse rapide ;)

J'essaierai encore une fois, sur linux qui est sur mon pc portable, comme ça je peux developper au taff aussi ^^.

A quel endroit du site google , je peux trouver la procédure d'installation du SDK pour linux ?

Share this post


Link to post
Share on other sites

Au meme endroit que pour Windows.

Perso je développe que sous Linux, avec Windows j'ai jamais réussi à installer le driver USB...

Et Eclipse est plus rapide sous Linux je trouve.

Share this post


Link to post
Share on other sites

Ok bon je trouverais la procédure d'installe du SDK sous windows alors.

En tout cas je vais rééssayer si j'ai des probléme, je posterais sur ce sujet ;) mais cette fois çi je vais pas lacher l'affaire !

merci

EDIT : install du SDK http://developer.android.com/sdk/installing.html masi c'est en anglais ...en français c'est possible ?

Edited by Droxolf

Share this post


Link to post
Share on other sites

Salut,

En français tu peux aussi suivre ce tuto sur le blog de Cyril Mottier. Mais personnellement je privilégierais le tuto officiel de Google, plus susceptible d'être à jour...

++

Edited by SesechXP

Share this post


Link to post
Share on other sites

Je développe avec Android depuis 1 an et demi sur Linux, et j'avais développé un peu moi d'un an sur Windows.

Personnellement je préfère Linux (actuellement Ubuntu 9.10) (notamment y'a pas de problème d'installer des drivers pour faire du debug sur device)

Share this post


Link to post
Share on other sites

Bonjour à tous,

Voilà j'ai commencé l'installation des outils necessaires au dévelloppement pour Android. Et j'ai pris le temps de tout noter ce que j'ai fait.

J'ai eu un message de warning. Est -ce que vous pouvez me dire si cela est gênant ou pas ? et j'aimerais savoir comment commencer à programmer ?

merci d'avance pour votre aide et votre patience.

Environement :

Ubuntu 10.04

INTRO :

J'ai suivi ce wiki tout au long des opérations.

http://wiki.smartphonefrance.info/Default.aspx?Page=sdk-android-linux&AspxAutoDetectCookieSupport=1

I / Téléchargement des outils :

Eclispse :

http://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/galileo/SR2/eclipse-java-galileo-SR2-linux-gtk.tar.gz

SDK :

http://developer.android.com/sdk/index.html

II / Installation des outils :

Lors de l'installation du SDK, Il faut d'aprés le wiki, créer un fichier ".bashrc" moi il existe déjà don cj'ai juste rajouter cette ligne là au ficheir :

export PATH=${PATH}:/home/droxolf/Documents/android-sdk-linux_86/tools

J'ai decompressé l'archive Eclipse, et quand je lance le programme "eclipse" de l'archive, il me dit qu'il faut java d'installé.

Donc je vais sur le forum ubuntu, et je fait une recher java dans la documentation :

http://doc.ubuntu-fr.org/java

Et dans le paragraphe "Choix du paquet à installer" (vers le milieu de la doc), il me propose d'intaller le paquet "openjdk-6-jre" afin d'exécuter un programme de type "azureus" ou "eclipse".Une fois ce paquet installé.

Je redémarre mon pc, car il faut faire la prise en compte du PATH.

Voilà mon pc est rebooter :)

Je vais sur eclipse, il me demande l'endroit où il va sauvegarder mon travail, j'ai laissé par defaut, ensuite il charge un tas de truc :) puis enfin je me trouve sur eclipse.

voici ce qu'il est indiqué sur le wiki :

* Lancer le logiciel Eclipse

* Aller dans le menu Help > Software Updates...

* Dans la boite de dialogue qui apparait cliquer sur l'onglet Available Software

* Cliquer sur Add Site...

* Entrer l'adresse suivante : https://dl-ssl.google.com/android/eclipse/ ou http://dl-ssl.google.com/android/eclipse/ puis cliquer sur OK

* Revenir dans l'onglet Available Software

* Cliquer sur la case à gauche de Android Developer Tools et sur la case Android Editors puis cliquer sur Next

* Accepter le "license agreement" puis cliquer sur Finish

* Et pour terminer redémarrer Eclipse

Et voici ce que j'ai fait, j'ai adapté en fonction de ma version de Eclipse :

* Lancer le logiciel Eclipse

* Aller dans le menu Help > Install New Software...

* Dans la boite de dialogue qui apparait cliquer sur le lien Available Software

* Cliquer sur Add Site...

* Entrer l'adresse suivante : https://dl-ssl.google.com/android/eclipse/ dans Location et j'ai mis Android dans Name

* Je reviens sur l'écran où il y a le lien "Available Software" puis dans le menu déroulant "Work with" je choisis "android" (c'est le nom que j'ai mis) puis j'ai coché "Developer Tools" et Ensuite "Next",puis je valide la licence, et "finish".

Il installe et là j'ai un message "Security Warning" :

Warning : You are installing software that contains unsigned content. The authenticity or validity of this software cannot be established. Do you want to continue with the installation ? ( OK / << Details / Cancel ) ,voici le détails :

Warning: You are installing software that contains unsigned content. The authenticity or validity of this software cannot be established. Do you want to continue with the installation?

/home/droxolf/Documents/eclipse/plugins/com.android.ide.eclipse.adt_0.9.6.v201002051504-24846.jar

/home/droxolf/Documents/eclipse/features/com.android.ide.eclipse.adt_0.9.6.v201002051504-24846

/home/droxolf/Documents/eclipse/plugins/com.android.ide.eclipse.ddms_0.9.6.v201002051504-24846.jar

/home/droxolf/Documents/eclipse/features/com.android.ide.eclipse.ddms_0.9.6.v201002051504-24846

Puis j'ai fait , "OK"

Et là il me demande de redemarré l'application.

Je redémarre Eclispse.

Share this post


Link to post
Share on other sites

Pour Eclipse pourquoi n'est pas tu passer par la bibliothèque logiciel de Ubuntu, car cette version fonctionne très bien pour le développement

Share this post


Link to post
Share on other sites

En essayant d'installer la version de la logithéque ubuntu, j'ai eu 1 warning et une erreur :

Warning: You are installing software that contains unsigned content. The authenticity or validity of this software cannot be established. Do you want to continue with the installation?

/home/droxolf/.eclipse/org.eclipse.platform_3.5.0_155965261/plugins/com.android.ide.eclipse.adt_0.9.6.v201002051504-24846.jar

/home/droxolf/.eclipse/org.eclipse.platform_3.5.0_155965261/features/com.android.ide.eclipse.adt_0.9.6.v201002051504-24846

/home/droxolf/.eclipse/org.eclipse.platform_3.5.0_155965261/plugins/com.android.ide.eclipse.ddms_0.9.6.v201002051504-24846.jar

/home/droxolf/.eclipse/org.eclipse.platform_3.5.0_155965261/features/com.android.ide.eclipse.ddms_0.9.6.v201002051504-24846

An error occurred while installing the items

session context was:(profile=PlatformProfile, phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.Install, operand=null --> [R]org.eclipse.cvs 1.0.400.v201002111343, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).

The artifact file for osgi.bundle,org.eclipse.cvs,1.0.400.v201002111343 was not found.

Je vais donc continuer sur la première version sur laquel j'ai eu seulement 1 warning.

Avez-vous des tuto qui me permettrait d'écrire un programme pour tester l'installation des outils ?

merci

Share this post


Link to post
Share on other sites

Est-ce que vous connaissait un petit tuto qui me permettrait d'écrire un simple programme afin de tester la bonne installation de mes outils ?

Edited by Droxolf

Share this post


Link to post
Share on other sites

droxolf > j'etait fan de la distrib ubuntu depuis la 10.4 je suis amoureux.

si tu cherche des sources pour verifier ton install pourquoi ne pas compiler les sources fournis avec le SDK. il y en a une qui permet de voir toutes les interfaces utilisateur fournis par android. pour plus d'info je te conseille d'aller voir la c'est fournis dans les sources et c'est tres instructif.

pour plus de tutos il y a les sites http://android-france.fr/ et http://android.developpez.com/.

plus serieusement apres tout vos posts je vais tester le dev sous linux j'espere que l'install n'est pas beaucoup plus compliqué que sous windows( c pas les competences qui manque c'est le temps). si de plus eclipse est plus rapide sous linux mais que reste t'il a windows ( les jeux et une appli que j'ai developpé en .net et que je dois maintenir, auto reponse ). merci pour vos post ca me motive.

ps: petite annectode marrante vous avez remarquez qu'en tapant android sur google.fr le site android est seulement troisieme derriere les actualités et wikipedia, je trouve ca assez marrant.

Edited by blegoff

Share this post


Link to post
Share on other sites

Plus compliqué que sous Windows ? Pas plus que ça, j'ai passé une soirée pour tout mettre de A à Z et sans me presser/merci Google/le forum :) pour lancer le fatidique "hello world" en test sur le téléphone via Eclipse.

Après, pas de choix mais je dirai que Ubuntu sera plus véloce...

Share this post


Link to post
Share on other sites

je vais tester je dois reinstaller/migrer en 10.4 mon ubuntu sur mon pc principal ce sera l'occasion.

Share this post


Link to post
Share on other sites
En essayant d'installer la version de la logithéque ubuntu, j'ai eu 1 warning et une erreur :

Warning: You are installing software that contains unsigned content. The authenticity or validity of this software cannot be established. Do you want to continue with the installation?

/home/droxolf/.eclipse/org.eclipse.platform_3.5.0_155965261/plugins/com.android.ide.eclipse.adt_0.9.6.v201002051504-24846.jar

/home/droxolf/.eclipse/org.eclipse.platform_3.5.0_155965261/features/com.android.ide.eclipse.adt_0.9.6.v201002051504-24846

/home/droxolf/.eclipse/org.eclipse.platform_3.5.0_155965261/plugins/com.android.ide.eclipse.ddms_0.9.6.v201002051504-24846.jar

/home/droxolf/.eclipse/org.eclipse.platform_3.5.0_155965261/features/com.android.ide.eclipse.ddms_0.9.6.v201002051504-24846

An error occurred while installing the items

session context was:(profile=PlatformProfile, phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.Install, operand=null --> [R]org.eclipse.cvs 1.0.400.v201002111343, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).

The artifact file for osgi.bundle,org.eclipse.cvs,1.0.400.v201002111343 was not found.

Je vais donc continuer sur la première version sur laquel j'ai eu seulement 1 warning.

Avez-vous des tuto qui me permettrait d'écrire un programme pour tester l'installation des outils ?

merci

Ah tien, sous openSuse impossible d'utiliser la version d'eclipse des dépôts pour développer pour android. IL n'arrive pas à résoudre les dépendances des pluggins lors que je rajoute le pluggin adb.

Au final je suis sous netbeans ou llà je n'ai aucun problème de ce point de vue là, à part pour créer un projet à partir de sources existantes......

donc je m'en vais voir pour les versions d'eclipses que vous avez donné.

Share this post


Link to post
Share on other sites

Bonjour,

Je suis content que mon post donne de la motivation à certain ;)

Je suis allé sur ce site :

http://www.pointgphone.com/tutoriel-android-hello-world-2301

afin de faire un "HelloWorld", puis lors de la création d'un projet dans la rubrique "target" je n'ai pas le version du SDK android à selectionner.

Donc je suis aller dans Window>>Préférence>>SDK Location

puis je mets le dossier dans lequel se trouve mon SDK que j'ai téléchargé précedemment ( http://developer.android.com/sdk/index.html )

Puis je fais Apply et OK mais il rien ne se passe...Est-ce que quelqu'un pourrait m'aider ?

@blegoff : Merci pour les liens ;)

Edited by Droxolf

Share this post


Link to post
Share on other sites

messieurs bonsoir,

alors on vas faire avancer le schmilblick je viens d'upgrader mon ubuntu en 10.04 et j'en ai profiter pour m'installer une plateforme de dev android et j'ai recontré le meme probleme que droxolf, c'est a dire :

An error occurred while installing the items

session context was:(profile=PlatformProfile, phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.Install, operand=null --> [R]org.eclipse.cvs 1.0.400.v201002111343, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).

The artifact file for osgi.bundle,org.eclipse.cvs,1.0.400.v201002111343 was not found

pour regler ce probleme rien de plus facile il faut :

- aller dans le menu applications/ logitheque ubuntu

- faire une recherche sur eclipse

- et dans la liste qui apparait vous installez Eclipse team integration (CVS support) pour telecharger les sources android en cvs, Eclipse Java Development tools (JDT) pour programmer en java sous eclipse je suppose, et Eclipse Plugin Development Environnement (PDE) ca je sais pas pourquoi mais il en a besoin donc.

une fois cela fait vous pouvez installer le plugins eclipse d'android ca marchera.

une fois le plugin installé n'oubliez pas d'aller dans le menu eclipse Windows/preferences/android et dans sdk location indiquez la racine du sdk android.

voila bon dev a tous

PS : c vrai que c'est beaucoup plus rapide sous Linux aussi bien les machines virtuelles android qu'eclipse, impressionant la différence

PS 2 : j'essayerai de faire un tutoriel complet pour l'installation des que j'aurais finis mon menage de printemps :P

Edited by blegoff

Share this post


Link to post
Share on other sites

Je redémarre mon pc, car il faut faire la prise en compte du PATH.

Voilà mon pc est rebooter :)

Je réagis juste à cela ^^'

GNU/Linux n'est pas Windows, tu n'as pas besoin de redémarrer à chaque modification/installation.

En l'occurence, le seul fait de lancer un terminal devrait suffir: il recharge ton fichier .bashrc, remettant alors à jour ton PATH, modifié dans celui-ci.

Quant au "WARNING" lors de l'installation du SDK, c'est normal, si je puis dire. Eclipse prévient juste qu'on installe un truc dont il ne peut pas vérifier l'authenticité de la source.

Concernant les tutos, je vous conseille ceux sur le site officiel d'android. En anglais certes, mais pour tout ce qui est développement, c'est dans cette langue que vous trouverez le plus d'informations ;)

Share this post


Link to post
Share on other sites

Pour avoir testé sous mac, les performances sont assez horribles :(

J'arrive à saturer mes 4 go de ram

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.






×
×
  • Create New...